#include "nfc.h"

NFC_Module nfc; // nfc reader object

int ledPin = 12;

void setup() {
  pinMode(ledPin, OUTPUT);
  Serial.begin(9600);
  Serial.println("MF1S50 Reader - LED demo");
  
  nfc.begin();
  uint32_t versiondata = nfc.get_version();
  if (! versiondata) {
    Serial.print("No PN53x board?");
    while (1); // halt
  }
  // Set normal mode, and disable SAM
  nfc.SAMConfiguration();
}

void loop() {
    u8 buf[32];
    byte readOK;
    unsigned long uuid = 0L;
    
    readOK = nfc.InListPassiveTarget(buf);
    if (readOK && buf[0] == 4) {
      uuid = ((buf[1] * 256L 
        + buf[2]) * 256L 
        + buf[3]) * 256L
        + buf[4];
      Serial.print("UUID: ");  
      Serial.println(uuid, HEX);  
    }

    if (uuid == 0x70A13852L) {
      digitalWrite(ledPin, 1);
    }
    if (uuid == 0x6631099FL) {
      digitalWrite(ledPin, 0);
    }
}
